Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRConditionalStyle

All Superinterfaces:
  java.lang.Cloneable, JRBoxContainer, JRCloneable, JRPenContainer, JRStyle, JRStyleContainer

All Known Implementing Classes:
  JRBaseConditionalStyle, JRDesignConditionalStyle

    public interface JRConditionalStyle

extends JRStyle

Version:
  $Id: JRConditionalStyle.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRStyle
`PROPERTY_EVALUATION_TIME_ENABLED`

Method Summary
`JRExpression` | `getConditionExpression()`

Methods inherited from interface net.sf.jasperreports.engine.JRStyle
`getBackcolor, getBorder, getBorderColor, getBottomBorder, getBottomBorderColor, getBottomPadding, getConditionalStyles, getFill, getFillValue, getFontName, getFontSize, getForecolor, getHorizontalAlignment, getHorizontalAlignmentValue, getLeftBorder, getLeftBorderColor, getLeftPadding, getLineBox, getLinePen, getLineSpacing, getLineSpacingValue, getMarkup, getMode, getModeValue, getName, getOwnBackcolor, getOwnBorder, getOwnBorderColor, getOwnBottomBorder, getOwnBottomBorderColor, getOwnBottomPadding, getOwnFill, getOwnFillValue, getOwnFontName, getOwnFontSize, getOwnForecolor, getOwnHorizontalAlignment, getOwnHorizontalAlignmentValue, getOwnLeftBorder, getOwnLeftBorderColor, getOwnLeftPadding, getOwnLineSpacing, getOwnLineSpacingValue, getOwnMarkup, getOwnMode, getOwnModeValue, getOwnPadding, getOwnPattern, getOwnPdfEncoding, getOwnPdfFontName, getOwnPen, getOwnRadius, getOwnRightBorder, getOwnRightBorderColor, getOwnRightPadding, getOwnRotation, getOwnRotationValue, getOwnScaleImage, getOwnScaleImageValue, getOwnTopBorder, getOwnTopBorderColor, getOwnTopPadding, getOwnVerticalAlignment, getOwnVerticalAlignmentValue, getPadding, getPattern, getPdfEncoding, getPdfFontName, getPen, getRadius, getRightBorder, getRightBorderColor, getRightPadding, getRotation, getRotationValue, getScaleImage, getScaleImageValue, getTopBorder, getTopBorderColor, getTopPadding, getVerticalAlignment, getVerticalAlignmentValue, isBlankWhenNull, isBold, isDefault, isItalic, isOwnBlankWhenNull, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnStyledText, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isStyledText, isUnderline, setBackcolor, setBlankWhenNull, setBlankWhenNull, setBold, setBold, setBorder, setBorder, setBorderColor, setBottomBorder, setBottomBorder, setBottomBorderColor, setBottomPadding, setBottomPadding, setFill, setFill, setFill, setFontName, setFontSize, setFontSize, setForecolor, setHorizontalAlignment, setHorizontalAlignment, setHorizontalAlignment, setItalic, setItalic, setLeftBorder, setLeftBorder, setLeftBorderColor, setLeftPadding, setLeftPadding, setLineSpacing, setLineSpacing, setLineSpacing, setMarkup, setMode, setMode, setMode, setPadding, setPadding, setPattern, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setPen, setPen, setRadius, setRadius, setRightBorder, setRightBorder, setRightBorderColor, setRightPadding, setRightPadding, setRotation, setRotation, setRotation, setScaleImage, setScaleImage, setScaleImage, setStrikeThrough, setStrikeThrough, setStyledText, setStyledText, setTopBorder, setTopBorder, setTopBorderColor, setTopPadding, setTopPadding, setUnderline, setUnderline, setVerticalAlignment, setVerticalAlignment, setVerticalAlignment`

Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer
`getDefaultLineColor`

Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer
`getDefaultLineColor, getDefaultLineWidth`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getConditionExpression

    JRExpression getConditionExpression()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com